Bug 427174 - TypeError: not all arguments converted during string formatting
Summary: TypeError: not all arguments converted during string formatting
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 8
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-01 22:56 UTC by Peter Zimanyi
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 19:26:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Zimanyi 2008-01-01 22:56:28 UTC
Component: pirut
Summary: TB17da711c pup:300:_printUpdate:TypeError: not all arguments converted
during string formatting

Traceback (most recent call last):
  File "/usr/sbin/pup", line 188, in _updateSelected
    strs.append(strfunc(new, old))
  File "/usr/sbin/pup", line 300, in _printUpdate
    return _("%s updates %s") %(new, old)
TypeError: not all arguments converted during string formatting

Local variables in innermost frame:
new: firstboot - 1.4.39-1.fc8.noarch
self: <__main__.PackageUpdater object at 0xa16092c>
old: firstboot - 1.4.35-1.fc7.noarch

Comment 1 Jeremy Katz 2008-01-02 02:44:17 UTC
Can you reproduce this reliably?  What locale are you running in?

Comment 2 Jeremy Katz 2008-05-28 19:26:29 UTC
Closing due to inactivity.  Please reopen if you have further information to add
to this report.


Note You need to log in before you can comment on or make changes to this bug.